UPGRADEPKG(8)

NOME
upgradepkg - atualiza pacotes do Slackware.

SINOPSE
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] novonomedopacote [novonomedopacote2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] antigonomedopacote%novonomedopacote [old2%new2]

DESCRIÇÃO
upgradepkg atualiza um pacote Slackware a partir de uma versão mais antiga para uma versão mais recente. Ele faz isso INSTALANDO o novo pacote no sistema, e, em seguida, REMOVENDO todos os arquivos do pacote antigo que não estão no novo pacote. Se os pacotes, antigo e novo têm o mesmo nome, uma única argumento é tudo o que é necessário. Se os pacotes têm nomes diferentes, forneça o nome do antigo empacotamento, seguido por um símbolo de percentagem (%), então o nome do novo pacote. Não adicione qualquer espaço em branco extra entre pares de nomes de pacotes velho / novo. Se o upgradepkg encontra mais de um pacote instalado correspondente ao nome do antigo pacote, ele irá remover todos eles.

Para fazer o upgrade em um diretório diferente de / (como em /mnt):

ROOT=/mnt upgradepkg pacote.tgz (or .tbz, .tlz, .txz)

OPÇÕES

--dry-run
    Produz um relatório sobre quais pacotes serão instalados ou atualizados, mas na verdade, não realizar as atualizações.

--install-new
    Normalmente upgradepkg apenas atualiza pacotes que já estão instalados no sistema, e ignora qualquer pacote que ainda não possuem uma versão instalada. Se - install-new for especificado, o comportamento é modificado para instalar novos pacotes, além de atualizar os já existentes.

--reinstall
    Upgradepkg geralmente ignora os pacotes se o mesmo pacote exato (nome correspondente, versão, arquitetura, e número de compilação) já está instalado no sistema. Use a opção --reinstall se você quiser atualizar todos os pacotes, mesmo se a mesma versão já estiver instalada.

--verbose
    Mostrar todos os detalhes da atualização.

PROBLEMAS
Antes de atualizar um pacote, salve os arquivos de configuração (como em /etc) que você deseja manter. Às vezes, estes serão preservados, mas isso depende da estrutura do pacote. Se você quiser forçar novas versões dos arquivos de configuração para ser instalado, remova as antigas manualmente antes de executar upgradepkg.

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

VER TAMBÉM
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)